package com.sky.ioc.controller.carbon;

import com.sky.ioc.service.carbon.CarbonService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/** 数智双碳----双碳概览
 * @author LunCe*/
@Api("数智双碳----双碳概览")
@Slf4j
@RestController
@RequestMapping("/carbon")
public class CarbonController {

    @Autowired
    private CarbonService carbonService;

    @ApiOperation("核心指标")
    @GetMapping("/getCarbonCoreIndicators")
    public String getFloorCoreIndicators(){
        return carbonService.getFloorCoreIndicators();
    }


    @ApiOperation("碳排放分析")
    @GetMapping("/getCarbonInfo")
    public String getCarbonInfo(){
        return carbonService.getCarbonInfo();
    }




    @ApiOperation("碳配额构成")
    @GetMapping("/getCarbonQuotaComposition")
    public String getCarbonQuotaComposition(){
        return carbonService.getCarbonQuotaComposition();
    }



    @ApiOperation("双碳新闻")
    @GetMapping("/getCarbonNews")
    public String getCarbonNews(){
        return carbonService.getCarbonNews();
    }

    @ApiOperation("碳排放占比")
    @GetMapping("/getCarbonProportion")
    public String getCarbonProportion(){
        return carbonService.getCarbonProportion();
    }




}
