package com.sky.ioc.controller.carbon;

import com.sky.ioc.service.carbon.CarbonService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/1 13:25
 **/

@Api("数智双碳----光伏发电")
@Slf4j
@RestController
@RequestMapping("/photovoltaic")
public class PhotovoltaicController {

    @Autowired
    private CarbonService carbonService;



    @ApiOperation("核心指标")
    @GetMapping("/getPhotovoltaicCoreIndicators")
    public String getPhotovoltaicCoreIndicators(){
        return carbonService.getPhotovoltaicCoreIndicators();
    }


    @ApiOperation("光伏减排分析")
    @GetMapping("/getPhotovoltaicInfo")
    public String getPhotovoltaicInfo(){
        return carbonService.getPhotovoltaicInfo();
    }




    @ApiOperation("车辆排放排名")
    @GetMapping("/getPhotovoltaicInfoOrder")
    public String getPhotovoltaicInfoOrder(){
        return carbonService.getPhotovoltaicInfoOrder();
    }

}
