package com.sky.ioc.controller.operation;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/1 16:19
 **/

import com.sky.ioc.service.assets.AssetService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api("智慧运营----资产管理")
@Slf4j
@RestController("operation_asset")
@RequestMapping("/operation_asset")
public class AssetController {


    @Resource
    private AssetService assetService;


    @ApiOperation("核心指标")
    @GetMapping("/getOperAssetCoreIndicators")
    public ReturnMsg getOperAssetCoreIndicators(){
        return assetService.getOperAssetCoreIndicators();
    }


    @ApiOperation("资产分析")
    @GetMapping("/getAssetAnalysis")
    public ReturnMsg getAssetAnalysis(){
        return assetService.getAssetAnalysis();
    }




    @ApiOperation("资产占比排名")
    @GetMapping("/getAssetShareRanking")
    public ReturnMsg getAssetShareRanking(){
        return assetService.getAssetShareRanking();
    }


    @ApiOperation("报废与维修")
    @GetMapping("/getScrapAndMaintain")
    public ReturnMsg getScrapAndMaintain(){
        return assetService.getScrapAndMaintain();
    }


}
