package com.sky.ioc.controller.work;

import com.sky.ioc.service.space.SpaceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * TODO
 * @Description  智慧办公 ---- 楼层概括
 * @Author LunCe
 * @Date 2023/2/28 15:39
 **/

@Api("智慧办公----楼层概括")
@Slf4j
@RestController
@RequestMapping("/floor")
public class FloorController {


    @Autowired
    private SpaceService spaceService;


    @ApiOperation("核心指标")
    @GetMapping("/getFloorCoreIndicators")
    public String getFloorCoreIndicators(){
        return spaceService.getFloorCoreIndicators();
    }


    @ApiOperation("当日门禁进入人员")
    @GetMapping("/getAccessPersonnel")
    public String getAccessPersonnel(){
        return spaceService.getAccessPersonnel();
    }




    @ApiOperation("楼层概览")
    @GetMapping("/getFloorList")
    public String getFloorList(){
        return spaceService.getFloorList();
    }









}
