package com.sky.ioc.controller.work;

import com.sky.ioc.service.space.SpaceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * TODO
 *
 * @Description 智慧办公----会议管理
 * @Author LunCe
 * @Date 2023/2/28 15:51
 **/

@Api("智慧办公----会议管理")
@Slf4j
@RestController
@RequestMapping("/meeting")
public class MeetingController {


    @Autowired
    private SpaceService spaceService;


    @ApiOperation("核心指标")
    @GetMapping("/getMeetingCoreIndicators")
    public String getMeetingCoreIndicators(){
        return spaceService.getMeetingCoreIndicators();
    }


    @ApiOperation("成本趋势")
    @GetMapping("/getMeetingCostTrend")
    public String getMeetingCostTrend(){
        return spaceService.getMeetingCostTrend();
    }




    @ApiOperation("会议室情况")
    @GetMapping("/getConferenceRoomInfo")
    public String getConferenceRoomInfo(){
        return spaceService.getConferenceRoomInfo();
    }


}
