package com.sky.ioc.controller.work;

import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.service.space.SpaceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/2/28 15:56
 **/


@Api("智慧办公----文印管理")
@Slf4j
@RestController
@RequestMapping("/print")
public class PrintingController {



    @Autowired
    private CarbonService carbonService;


    @ApiOperation("核心指标")
    @GetMapping("/getPrintingCoreIndicators")
    public String getPrintingCoreIndicators(){
        return carbonService.getPrintingCoreIndicators();
    }


    @ApiOperation("成本趋势")
    @GetMapping("/getPrintingCostTrend")
    public String getPrintingCostTrend(){
        return carbonService.getPrintingCostTrend();
    }




    @ApiOperation("文印情况")
    @GetMapping("/getConferenceRoomInfo")
    public String getConferenceRoomInfo(){
        return carbonService.getConferenceRoomInfo();
    }



}
