package com.sky.ioc.service.canteen.impl;

import com.alibaba.fastjson.JSONArray;
import com.sky.ioc.service.canteen.RestaurantService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Objects;


/**
 * @author LunCe
 */
@Service
public class RestaurantServiceImpl implements RestaurantService {


    /**
     * TODO  查询智慧生活中智慧餐厅的支付分析
     *
     * @Description
     * @Param dateType
     * @Return java.lang.String
     * @Author LunCe
     * @date 2023/2/10 11:25
     */
    @Override
    public ReturnMsg getPaymentAnalysis(Integer dateType) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST2);
    }


    /**
     * 查询智慧生活中智慧餐厅的核心指标
     */
    @Override
    public ReturnMsg getCoreIndicators(Integer dateType) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST4);
    }

    /**
     * 查询智慧生活中智慧餐厅的欢迎菜品
     */
    @Override
    public ReturnMsg getWelcomeDishes(Integer dateType) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST3);
    }



    /**
     * 查询智慧生活中智慧餐厅的消费分析
     */
    @Override
    public ReturnMsg getConsumptionAnalysis(Integer dateType) {
        return ReturnMsg.ok(FalseData.REPORTFORMSMAP.get(dateType));
    }


    /**
     * 查询智慧生活中智慧餐厅的今日菜谱
     */
    @Override
    public ReturnMsg getTodayMenu() {
        return ReturnMsg.ok(FalseData.REPORTFORMSMAP);
    }

    /**
     * 查询智慧生活中智慧餐厅的盈利分析
     */
    @Override
    public ReturnMsg getProfitAnalysis(Integer dateType) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST2);
    }

    /**
     * 查询智慧生活中智慧餐厅的用餐分析
     */
    @Override
    public ReturnMsg getMealAnalysis(Integer dateType) {
        return ReturnMsg.ok(FalseData.REPORTFORMSMAP.get(dateType));
    }

    /**
     * TODO 查询智能看板统计画像的餐厅消费态势的核心指标
     * @Description
     * @Return com.sky.ioc.tool.ReturnMsg
     * @Author LunCe
     * @date 2023/2/22 15:22
     */
    @Override
    public ReturnMsg getRestaurantConsumption() {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST4);
    }


    /**
     * TODO
     * @Description 查询智能看板统计画像的餐厅统计消费信息报表
     * @Return com.sky.ioc.tool.ReturnMsg
     * @Author LunCe
     * @date 2023/2/22 15:22
     */
    @Override
    public ReturnMsg getRestaurantConsumptionChart() {
        return ReturnMsg.ok(FalseData.REPORTFORMSMAP);
    }
}
